Bug 260022 - Menu key should show popup menu while editing text
Summary: Menu key should show popup menu while editing text
Status: RESOLVED FIXED
Alias: None
Product: calligracommon
Classification: Unclassified
Component: text-tool (show other bugs)
Version: 2.0
Platform: Debian testing Other
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2002-07-22 04:33 UTC by tpm01
Modified: 2012-12-31 22:33 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2010-12-16 00:29:44 UTC


---- Reported by tpm01@aber.ac.uk 2002-07-22 04:26:54 ----

(*** This bug was imported into bugs.kde.org ***)

Package:           kword
Version:           1.2 beta 2 (using KDE 3.0.2 )
Severity:          wishlist
Installed from:    Debian testing/unstable Packages
Compiler:          Not Specified
OS:                Not Specified
OS/Compiler notes: Not Specified

If I am not mistaken it is currently not possible to define a keyboard shortcut (like Shift-F7) for the right-click pop-up menu action "Show related Words..."

It would be great if this could be added.

Many thanks for a great word processor :)


(Submitted via bugs.kde.org)



---- Additional Comments From zander@kde.org 2006-04-13 15:36:18 ----

I would think that the real bug is that the 'menu' key is not mapped to 
work so you can access the RMB popup without touching the mouse.




--- Bug imported by faure@kde.org 2010-12-16 00:29  ---

This bug was previously known as bug 45585.

Comment 1 Camilla Boemann 2012-12-31 22:33:18 UTC
Git commit 10b83ffdd78d8d4d25da53cee8e0a43be7e885d8 by C. Boemann.
Committed on 31/12/2012 at 23:31.
Pushed by boemann into branch 'master'.

Time to implement a fix for an old bug

Happy new year

M  +5    -0    words/part/KWCanvas.cpp
M  +2    -0    words/part/KWCanvas.h

http://commits.kde.org/calligra/10b83ffdd78d8d4d25da53cee8e0a43be7e885d8